export default {
  sitename: "Paroli | {0}",
  loading: "Loading...",

  events: {
    started: "Conference started.",
    ended: "Conference ended.",
    recording_start: "Started recording.",
    recording_complete: "Recording finished.",
    recording_absent: "Recording unavailable.",
    unknown_caller: "Unknown caller",
    joined: "{0} joined the call.",
    left: "{0} left the call.",
    capacity: "{0} couldn't join the call because it was at full capacity.",
    unmute: "{0} was unmuted.",
    mute: "{0} was muted.",
    rejected: "{0} attempted to join but hasn't been invited!",
    dismiss_hand: "{0}'s raised hand was dismissed.",
    start_poll: "A new poll was made: '{0}'",
    end_poll: "The poll was closed.",
    voted: "{0} voted for '{1}'.",
    revoted: "{0} changed their vote to '{1}'.",
    anon_voted: "Someone voted for '{0}'.",
    anon_revoted: "Someone changed their vote to '{0}'.",
    hand_up: "{0} put their hand up.",
    hand_down: "{0} lowered their hand.",
    waiting_retry: "Call to {0} failed, waiting {1} seconds before retrying.",
    retrying: "Retrying call to {0}. Attempt #{1}",
    failed: "Failed to call {0}. Reason: {1}"
  },

  errors: {
    CALL_REJECTED: "Call was rejected",
    USER_BUSY: "User was busy",
    NO_ANSWER: "No answer",
    NO_RESPONSE: "No answer",
    UNALLOCATED_NUMBER: "Number not found",
    NORMAL_TEMPORARY_FAILURE: "Network issue",
    CHAN_NOT_IMPLEMENTED: "Paroli server issue"
  },

  // Pages
  dashboard: {
    page_title: "Sessions",
    schedule_conference_action: "Schedule Call",
    view_contacts: "View Contacts",
    logout: "Log Out",
    change_language: "Change Language",
    logout_confirm_message: "Are you sure you want to log out?",
    admin_menu: "Admin Controls",
    admin_show_all: "Show all user data",
    admin_allowed_users: "Manage allowed emails",
    admin_trunks: "Manage SIP trunks",
    admin_admins: "Manage administrators",
    admin_docs: "Help & documentation",
    admin_billing_overview: "System billing overview"
  },
  splash: {
    blurb_hero: "Paroli makes it easy to run modern conference calls where participants join over the phone.",
    blurb_desc: "Hosts control and monitor group phone calls through the Paroli website, allowing for important features such as recording, muting and hand-raising without requiring participants to have internet access or smartphones.",
    blurb_research: "Paroli is an invite-only Monash University research project.",
    blurb_contact: "Have questions or want to get involved? Contact Dan Richardson at <a style='color: white;' href='mailto:dan.richardson@monash.edu'>dan.richardson@monash.edu</a>",
    switch_to_create: "Create an account",
    login: "Login",
    resend: "Resend activation email",
    switch_to_login: "Already have an account? Login",
    create_account: "Create Account",
    error_title: "Sign-up error",
    confirm_email_title: "Confirm your email address to continue",
    confirm_email_message: "An email has been sent to <b>{0}</b> with instructions on how to validate your account. If you can't see the email, please check your spam folder."
  },
  trunks: {
    page_title: "Manage SIP Trunks",
    no_trunks: "No trunks have been configured.",
    save_changes: "Save Changes",
    save_success: "Trunk settings saved!",
    max_capacity: "Maximum simultaneous calls:",
    dial_local: "Use local dial code when calling:",
    dial_local_confirm: "Not all SIP trunks support dialling local numbers. Using them will also restrict this trunk to only calling numbers within its own country.",
    dial_local_use_zero: "Add a leading zero to local phone numbers:",
    active_codes: "Active Dial Codes ({0})",
    inactive_codes: "Disabled Dial Codes ({0})",
    usd_pm: "USD per min"
  },
  admins: {
    page_title: "Manage Administrators",
    admin_list_head: "Current Admins",
    user_list_head: "Other Users",
    confirm_remove_admin: "Are you sure you want to remove this user's admin rights?",
    confirm_add_admin: "Making this user an admin will give them access to other users' call information, as well as the ability to change important system settings. Are you sure?",
    added_toast: "{0} is now an administrator!",
    removed_toast: "{0} is no longer an administrator",
    no_admins: "No admins have been configured.",
    no_users: "No other accounts are available.",
    you: "You"
  },
  billing: {
    page_title: "Call Cost Overview",
    costs_for_month: "Call costs for {0}, {1}",
    costs_total: "Total: {0}",
    no_data: "No data available for this month",
    one_session: "1 session",
    num_sessions: "{0} sessions",
    booking_head: "Booked:",
    trunk_head: "Trunk:",
    session_details: "{0} mins, {1} callers",
    cost_head: "Session cost:",
    caller_dropdown: "One caller",
    callers_dropdown: "{0} callers",
    call_time_head: "Call time:",
    call_time: "{0} mins",
    call_cost_head: "Caller cost:",
    call_rate_head: "Per min rate:",
    next_month: "Next month",
    prev_month: "Previous month",
    name: "Name:",
    phone: "Phone number:",
    month_0: 'January',
    month_1: 'February',
    month_2: 'March',
    month_3: 'April',
    month_4: 'May',
    month_5: 'June',
    month_6: 'July',
    month_7: 'August',
    month_8: 'September',
    month_9: 'October',
    month_10: 'November',
    month_11: 'December',
  },
  emails: {
    confirmation: {
      subject: "Welcome to Paroli - Please confirm your email address!",
      body: "<p>Thanks for using Paroli. Due to costs associated with running the service, we have limited access to users with access to certain email accounts and need to confirm that email addresses are genuine. If you did make an account with us, please click this link to confirm that this address is yours:</p><p>{CONFIRMATION_LINK}</p><p>Many thanks, the Paroli team.</p>"
    }
  },
  schedule_session: {
    page_title: "New Session",
    section: "Section",
    next: "next",
    prev: "prev",
    confirm_title: "End current call?",
    confirm_message: "You have a call that is currently live. Are you sure you want to end that call and start this one? Any current callers will be disconnected.",
    section_1: {
      title: "Call Details",
      privacy_label: "Select the privacy of the session",
      start_time_label: "Scheduled Start Time",
    },
    section_2: {
      title: "When should your meeting take place, and how many callers do you need?",
      time_modal_date: "Meeting Date",
      time_modal_time: "Meeting Time",
      time_modal_time_help: "Meetings are timed on a half-hour basis.",
      error_title: "Oops...",
      error_capacity: "Sorry, unfortunately your chosen time has been booked by other users, and there isn't enough capacity for the number of calls you require. Please choose a different slot or reduce the number of callers you need.",
      error_past: "That meeting would have already finished! Please select an end time that is in the future.",
      booking_text_time: "Start at {datetime} and run for {length} minutes.",
      booking_text_capacity: "Host with {trunk} and have up to {capacity} people attending (including yourself).",
      booking_trunk_cost: "If fully attended, this call would cost around {0}.",
      booking_trunk_cost_spread: "Depending on the countries dialled, this call could cost between ${0} - ${1} USD.",
      booking_trunk_international: "International",
      booking_trunk_international_warning: "As this is an international number, call costs will depend on attendees' country. Charges may be higher than normal calls.",
      booking_trunk_warning: "Please note that this number only supports calls within: {0}.",
      cal_new: "New",
      cal_existing: "This Call",
      cal_booked_full: "Fully Booked",
      cal_booked_enough: "{0} Calls Remaining",
      cal_booked_not_enough: "Limited Availability"
    },
    section_3: {
      title: "Add Attendees",
      groups_header: "Add From Your Groups",
      contacts_header: "Add From Your Contacts",
      added_participants: "Session Attendees ({0}/{1})",
      trunk_warning: "Warning: the chosen host number may not work for this participant!"
    },
    section_4: {
      title: "Set Agenda (Optional)",
      description: "Set items to discuss during your session.",
      unmute_explain: "You can automatically have attendees muted and unmuted by choosing to associate agenda items with participants.",
      unmute_participants: "Unmute",
      no_participants: "None",
      add_agenda_item: "Add agenda item",
      edit_agenda_item: "Edit agenda item",
      edit_topic: "Item topic",
      edit_no_topic: "Please provide a topic for your agenda item.",
      edit_notes: "Additional notes",
      length: "{0} mins",
      length_error: "Must be at least 1 minute long",
      edit_attendees: "Attendees to be unmuted:",
      no_attendees_selected: "Mute all",
      attendees_selected: "Mute everyone except {0}",
      schedule_meeting: "schedule for later",
      start: "Start now",
      delete_confirm_title: "Confirm deletion",
      delete_confirm_message: "Are you sure you want to delete this agenda item?",
      no_agenda: "No agenda set"
    },
  },
  conference: {
    online_join: "Join Online",
    online_joining: "Connecting...",
    online_joined: "Disconnect",
    online_allow: "Please allow microphone access and try again",
    online_not_compatible_title: "Error Connecting",
    online_not_compatible: "Your web browser or device doesn't seem to support joining this call online. Please join over the phone, or try using another browser.",
    microphone: "Microphone:",
    phone_join: "Call my phone",
    phone_joining: "Dialling...",
    phone_joined: "In Call",
    callall: "Call All",
    agenda_notes: "Notes",
    agenda_next: "Next: {0}",
    agenda_ready_prompt_title: "Is everyone here and ready to go?",
    agenda_ready_prompt: "Press to start the first item of the agenda.",
    meeting_minutes: "Add notes",
    time_remaining: "Time remaining: {0}",
    page_title: "In Session",
    in_call: "In Call",
    waiting_to_join: "Not yet joined",
    no_longer_in_call: "no longer in call",
    add_participant: "Add Participant",
    end_conference: "End Session",
    end_conference_confirmation: "Are you sure you want to end the session?",
    rename: "Rename",
    ban: "Ban",
    invite_instructions: "Tap a participant to invite them",
    inbound_instructions: "Participants can join by calling <b>{0}</b> and entering <b>{1}</b>",
    private_instructions: "This conference is private. <br/>If invited, participants can join by calling <b>{0}</b> and entering <b>{1}</b>",
    replace_poll_title: "Warning",
    replace_poll: "Creating a new poll will end the current one. Are you sure you want to continue?",
    online: "online",
    hangup_participant_confirmation: "Do you want to disconnect this participant?"
  },
  upcoming_conference: {
    page_title: "Upcoming Session",
    cancel_conference: "Cancel Session",
    scheduled_for: "Scheduled for",
    participants: "Participants",
    capacity: "Up to {0} attendees",
    agenda: "Agenda Items",
    privacy_title: "Privacy",
    start_conference: "Start Now",
    confirm_remove_participant:
      "Are you sure you want to remove this participant?",
    confirm_cancel_conference: "Are you sure you want to cancel the session?",
    format_date_time: "dddd Do MMMM yyyy, HH:mm",
  },
  complete_conference: {
    page_title: "Past Session Overview",
    view_logs: "Call Log",
    recordings_title: "Session Recordings",
    participant_tracks_title: "Participant Recordings",
    participant_track_name: "{0} | Recording {1} ({2} - {3})",
    poll_results: "Poll Results",
    poll_list_item_title_single: "{0} ({1} vote)",
    poll_list_item_title: "{0} ({1} votes)",
    format_date_time: "DDDD HH:mm",
    meeting_length: "Length: {0} hours, {1} mins",
    format_time: "HH:mm",
    recording_ending_at: "Recording ended at {0}",
    main_recording: "Session Recording",
    main_recording_multiple: "Session Recording Part {0} ({1} - {2})",
    recording: "Recording",
    attendees_title: "Participants",
    web_host_name: "Call Host",
    web_host_source: "Web",
    nothing_playing: "Nothing Playing",
    talk_time: (ctx) =>
      ctx.named("hours") > 0
        ? `Talked for ${ctx.named("hours")} hours, ${ctx.named("minutes")} mins`
        : ctx.named("minutes") > 0
          ? `Talked for ${ctx.named("minutes")} mins`
          : `Talked for ${ctx.named("seconds")} secs`,
    talk_time_short: (ctx) =>
      ctx.named("hours") > 0
        ? `${ctx.named("hours")} hours, ${ctx.named("minutes")} mins`
        : ctx.named("minutes") > 0
          ? `${ctx.named("minutes")} mins`
          : `${ctx.named("seconds")} secs`,
    link_copied: "Link Copied to Clipboard",
    link_copy_failed: "Failed to copy, try copying manually: {0}",
    processing_title: "Recording Not Yet Available",
    processing_message: "This recording isn't currently available, and may still be processing. Please try again later."
  },
  contacts: {
    page_title: "Contacts",
    contacts_list_title: "Your Contacts",
    contacts_list_empty: "You haven't added any contacts yet.",
    contacts_list_expla: "Contacts make it easy to identify and remember people's phone numbers.",
    add_contact: "Add Contact",
    edit_contact: "Edit Contact",
    confirm_delete_contact: "Are you sure you want to delete this contact?",
    confirm_delete_group: "Are you sure you want to delete this group?",
    groups_list_title: "Your Groups",
    groups_list_empty: "You haven't made any groups yet.",
    groups_list_expla: "Groups make it easier to set up multiple meetings with the same group of people.",
    groups_no_contacts: "You need to add some contacts before you can create a group!",
    group_num_members: "{0} members",
    add_group: "Create Group",
    edit_group: "Edit Group",
    group_duplicate: "A group with this name already exists!",
    group_empty: "Add at least one contact to the group",
  },
  begin_conference_information: {
    page_title: "Prepare",
    get_ready: "Get Yourself Ready...",
    about_to_start: "You are about to start the call.",
    move_to_quiet_space: "We recommend moving to a quiet space.",
    how_join: "How would you like to join?",
    choice_internet: "Over the Internet",
    recommended: "Recommended!",
    choice_internet_desc: "Join the call over the Internet, using your device's microphone and speakers/headphones.",
    choice_internet_expl: "Provides better quality, but relies on a stable internet connection.",
    choice_internet_btn: "Join through browser",
    choice_phone: "Over the Phone",
    choice_phone_desc: "You will receive a phone call from Paroli.",
    choice_phone_expl: "Please answer, then return to this website to manage the call and invite the other participants.",
    choice_phone_btn: "Call my phone",
    change_mind: "You can change your mind and connect a different way at any time during the call."
  },

  // Components:
  invite_from_contacts: {
    invited: "Invited",
    search_label: "Search name",
    no_contacts: "You don't have any contacts",
    all_selected: "All of your contacts are selected"
  },
  invite_arbitrary_number: {
    your_phone_number: "Cannot be your phone number",
    add_person: "Add",
    save_person: "Update",
    no_duplicates: "Duplicate number",
    add_from_number: "Add from number",
    save_to_contacts: "Save to contacts"
  },
  active_conference_toolbar: {
    participant_count: "1 participant in call | {0} participants in call",
    mute_all: "Mute All",
    unmute_all: "Unmute All",
    duration: (ctx) =>
    {
      const hours_str =
        ctx.named("hours") != 0 ? `${ctx.named("hours")}h ` : "";
      return hours_str + `${ctx.named("minutes")}m`;
    },
  },
  participant_list: {
    call: "call",
    calling: "calling",
    no_participants: "No Participants",
    Hangup: "Hung up",
    Timeout: "Timed out",
    Consenting: "Doing Consent",
    Queued: "In Queue",
    Dialling: "Dialling",
    Invited: "Invited",
    muted_true: "Muted",
    muted_false: "Unmuted",
    retry_waiting: "Waiting to retry, attempt #{0}",
    retrying: "Redialling, attempt #{0}",
    confirm_call_banned:
      "You have banned this user. Are you sure you want to remove the ban and call them?",
    banned: "Banned",
    hand_up: "This person has their hand up. Tap to dismiss."
  },
  conference_list: {
    no_name: "No Name",
    live_title: "Live Sessions",
    upcoming_title: "Upcoming Sessions",
    complete_title: "Past Sessions",
    empty: "No {0}",
    code: "Code:"
  },
  add_participant_form: {
    add_from_contacts: "Select a contact",
    add_from_phone_number: "Add Phone Number",
    contacts: "Contact",
    phone_number: "Phone Number",
    groups: "Groups",
    no_contacts: "No contacts to invite",
    no_groups: "No groups to invite"
  },
  event_log_dialog: {
    event_log: "Event Log",
  },
  poll: {
    total: "Total",
    single_vote: "1 vote",
    many_votes: "{0} votes",
    legend_single: "{0} ({1}%, 1 vote)",
    legend_plural: "{0} ({1}%, {2} votes)",
    end: "End Poll"
  },

  // Forms
  required: {
    phone_number: "Phone Number *",
    name: "Name *",
    email: "Email *",
    password: "Password *",
    name_of_session: "Name of Session *"
  },
  empty: {
    email: "Email cannot be empty",
    password: "Password cannot be empty",
    name: "Name cannot be empty",
    phone_number: "Phone Number cannot be empty",
    name_of_session: "Name of Session cannot be empty",
  },
  invalid: {
    email: "Invalid Email",
    phone_number: "Invalid Phone Number",
  },
  create_poll: {
    title: "Your poll title *",
    option_placeholder: "Poll option {0}",
    anonymous: "Make votes anonymous",
    create: "Create"
  },

  // General Terms
  moderator: "Moderator",
  confirm: "Confirm",
  cancel: "Cancel",
  back: "Back",
  next: "Next",
  ok: "OK",
  save: "Save",
  delete: "Delete",
  privacy: {
    open: "Open - anyone with the number can join",
    private: "Private - anyone in your contacts can join",
    closed: "Closed - only those who you invite can join",
  },
  moderator_explanation: "Moderators are not muted when you mute everyone, and are able to unmute themselves",
};
